get_version()
{
	if [ -x "$1" ]; then
		"$1" -V 2>/dev/null | grep "Build" | tr -d '\r' | tr -d '\n'
	else
		echo "(Version Unknown)"
	fi
}


get_build()
{
	if [ -x "$1" ]; then
		"$1" -V 2>/dev/null | grep "Build" | awk '{print $3}' | awk "-F)" '{print $1}'
	else
		echo $UNKNOWN_VER
	fi
}

get_stream()
{
       chmod +x "$*" 
       "$*" -V 2>/dev/null | grep "Build" | awk '{print $1}'
}

